Bug 1317867 - perl-CGI-4.27-1.fc25 FTBFS on bootstrap: t/reqest.t fails: Looks like you planned 44 tests but ran 45
Summary: perl-CGI-4.27-1.fc25 FTBFS on bootstrap: t/reqest.t fails: Looks like you pla...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CGI
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://ppisar.fedorapeople.org/perl_...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-15 11:58 UTC by Petr Pisar
Modified: 2016-03-26 18:07 UTC (History)
2 users (show)

Fixed In Version: perl-CGI-4.28-2.fc25 perl-CGI-4.28-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 18:07:06 UTC


Attachments (Terms of Use)

Description Petr Pisar 2016-03-15 11:58:44 UTC
perl-CGI-4.27-1.fc25 fails to build in F25 because a test fails on bootstrapping Perl:

# Looks like you planned 44 tests but ran 45.
t/request.t ................ 
Dubious, test returned 255 (wstat 65280, 0xff00)
All 44 subtests passed 
	(less 3 skipped subtests: 41 okay)

This is because 4.27 broke the test plan for the t/reqest.t. See <https://github.com/leejo/CGI.pm/issues/202> for more details.

It happens only on perl_bootstrap because Test::Deep is not installed in the case.

The fix is simple to adjust number in the "skip" statement. But the question is whether we need to bootstrap perl-CGI, if CGI is not a core module anymore.

Comment 1 Fedora Update System 2016-03-15 13:04:49 UTC
perl-CGI-4.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a17a21181

Comment 2 Petr Pisar 2016-03-15 14:10:12 UTC
I'm sorry for forwarding it to the upstream when it was distribution patch.

I think patch could be removed completely. I'm now running a mass rebuild to verify it.

Comment 3 Fedora Update System 2016-03-15 21:30:18 UTC
perl-CGI-4.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a17a21181

Comment 4 Petr Pisar 2016-03-17 08:48:37 UTC
(In reply to Petr Pisar from comment #2)
> I think patch could be removed completely. I'm now running a mass rebuild to
> verify it.

I removed the patch in perl-CGI-4.28-3.fc25.

Comment 5 Fedora Update System 2016-03-26 18:07:01 UTC
perl-CGI-4.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.